Subject: Re: [PATCH net-next 1/8] cxgb4: Add support to recognize 40G links

From: Casey Leedom <[email-masked]>
Date: Fri, 21 Feb 2014 10:49:41 -0800

Ah, thanks Kumar.  So I wasn't ~completely~ off my rocker remembering 
that.

   So it sounds like Ben and David are (or at least, were) in the 
anti-SPEED_40000 and Florian may be in the "pro" camp ...

Casey

On 02/20/14 20:37, Kumar Sanghvi wrote:
> On Thursday, February 02/20/14, 2014 at 11:16:26 -0800, Casey Leedom wrote:
>> On 02/20/14 11:00, Florian Fainelli wrote:
>>> 2014-02-20 10:07 GMT-08:00 Casey Leedom <[email-masked]>:
>>>> On 02/19/14 13:12, Steve Wise wrote:
>>>>> You probably should add SPEED_40000 to include/uapi/linux/ethtool.h as
>>>>> part of this series.
>>>>    I'm ~pretty sure~ that the "word on the street" was that the community
>>>> wanted to get away from the SPEED_XXX symbols since they simply represented
>>>> the values XXX.  Thus they didn't offer any real symbolic isolation from
>>>> weird constants, etc.  I believe that the old SPEED_XXX values were left in
>>>> place in order to avoid making tons of changes everywhere ...
>>> Not quite sure where and when you heard that, it seems a little
>>> disturbing to add a comment in this patch saying "this I how I should
>>> fix things" and not do them, especially when this is a one-liner.
>>> Having a well defined constant is easier to grep than having the
>>> open-coded 40000 constant which will lead to false positives
>>> throughout the tree.
>>    Like I said, it was a vague memory at best from over a year ago. I
>> seem to remember someone on our team trying to push SPEED_40000 into
>> the kernel and getting rebuffed.  Perhaps I didn't have enough
>> coffee that day.
>>
>>    In any case, I personally like the idea of SPEED_40000 for exactly
>> the reason you offer: I can search for it meaningfully.  So If my
>> vague memory is wrong, yeay!
>
> BTW, I just now found below thread and discussion related to SPEED_40000
> http://www.spinics.net/lists/netdev/msg201449.html
>
>
>> Casey
>>
>>> --
>>> Florian
>>